﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 15px;
}

footer {
    padding-top: 50px;
    /*position: absolute;*/
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 50px;
}

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

.hide-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.6;
    filter: alpha(opacity=60);
    z-index: 80;
}

.spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20%;
    height: auto;
    z-index: 999999;
}

td, th {
    padding: 2px !important;
}

    th[ng-click] {
        cursor: pointer;
    }

.table-default-padding td {
    padding: 8px !important;
}

.input-daterange .input-group {
    width: 100%;
}

.text-bold {
    font-weight: 900 !important;
}

td a:hover {
    color: inherit !important;
}

a[data-toggle="collapse"]:hover {
    cursor: pointer;
}

.popover {
    z-index: 999999;
}

.pagination {
    margin-top: 10px;
    margin-bottom: 10px;
}

.result-count {
    margin-top: 10px;
    margin-bottom: 10px;
    display: inline;
}

    .result-count button {
        cursor: default;
        text-decoration: none;
        float: left;
    }

.table {
    margin-bottom: 10px;
}

span.glyphicon-size {
    font-size: 1.5em;
}

.inherit {
    background-color: inherit !important;
    width: 100% !important;
    color: inherit !important;
}

.row-padding-bottom {
    padding-bottom: 10px;
}

.modal {
    overflow-y: auto !important;
}

.dropzone {
    border: 2px dashed #0087F7;
    border-radius: 5px;
    background: white;
}

.rotativa-page-break-avoid {
    page-break-inside: avoid;
}

.detail-field {
    word-wrap: break-word;
}

.modal-body {
    padding-top: 5px;
    padding-bottom: 5px;
}

hr {
    padding-top: 2px;
    padding-bottom: 2px;
}

.progress, .progress-bar {
    height: 21px !important;
    font-size: 13px !important;
    line-height: 21px !important;
    font-weight: bold !important;
}

.modal-body h1,
.modal-body h2,
.modal-body h3,
.modal-body h4,
.modal-body h5,
.modal-body h6 {
    margin-top: 0px !important;
}

.angucomplete-dropdown {
    overflow-y: auto;
    max-height: 200px;
}

.alert {
    margin-bottom: 5px !important;
}

a[ng-click] {
    cursor: pointer;
}

.panel {
    margin-bottom: 2px;
}

.tab-pane div.panel {
    border-radius: 0px !important;
}

    .tab-pane div.panel > div.panel-heading {
        border-top-right-radius: 0px !important;
        border-top-left-radius: 0px !important;
    }

.morelink {
    text-decoration: none !important;
    font-weight: bold;
}

.morecontent span {
    display: none;
}

.lglabel span {
    font-size: 100%;
}

.form-control-feedback {
    top: 10px;
    right: 15px;
}

td.vcenter {
    vertical-align: middle !important;
}

.textarea-resize-off {
    resize: none;
}

.dropdown-header {
    font-weight: 900;
    font-size: 100%;
}

.dropdown-menu.multi-column {
    width: 500px;
}

    .dropdown-menu.multi-column .dropdown-menu {
        display: block !important;
        position: static !important;
        margin: 0 !important;
        border: none !important;
        box-shadow: none !important;
        min-width: 100px;
    }

.btn.form-control:not(.form-input-submit) {
    margin-top: 5px;
}

.editable-wrap {
    white-space: initial !important;
}

@media (max-width: 1034px) {
    .navbar-header {
        float: none;
    }

    .navbar-left, .navbar-right {
        float: none !important;
    }

    .navbar-toggle {
        display: block;
    }

    .navbar-collapse {
        border-top: 1px solid transparent;
        box-shadow: inset 0 1px 0 rgba(255,255,255,0.1);
    }

    .navbar-fixed-top {
        top: 0;
        border-width: 0 0 1px;
    }

    .navbar-collapse.collapse {
        display: none !important;
    }

    .navbar-nav {
        float: none !important;
        margin-top: 7.5px;
    }

        .navbar-nav > li {
            float: none;
        }

            .navbar-nav > li > a {
                padding-top: 10px;
                padding-bottom: 10px;
            }

    .collapse.in {
        display: block !important;
        overflow-y: visible !important;
        overflow-y: auto !important;
    }

    .navbar-nav .dropdown-menu {
        position: static;
        float: none;
        width: auto;
        margin-top: 0;
        background-color: transparent;
        border: 0;
        -webkit-box-shadow: none;
        box-shadow: none;
    }

        .navbar-nav .dropdown-menu > li > a {
            color: #ffffff;
            line-height: 21px;
            padding: 5px 15px 5px 25px;
        }
}

.dropdown-menu > li > a.menu-text-bold {
    font-weight: 900;
}

@media (min-width: 1034px) {
    .dropdown-menu > li > a {
        color: black;
    }

        .dropdown-menu > li > a:hover {
            color: white;
        }
}


/* Summary CSS for xeditable */
.form-horizontal .form-group {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 2px;
}

.form-horizontal .control-label {
    text-align: left;
    padding-top: 0px;
}

.form-horizontal input[type="checkbox"] {
    margin-left: 0;
}

.border-none {
    border: none;
}

div.form-control, span.form-control {
    border: none;
}

.form-group-switch {
    padding-bottom: 9.5px;
}

.editable-wrap {
    display: block;
}

.th-padding-lg {
    padding-right: 200px;
}

.th-padding-md {
    padding-right: 125px;
}

.th-padding-sm {
    padding-right: 50px;
}

.th-padding-xs {
    padding-right: 25px;
}

.modal-fit .modal-dialog {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    padding: 10px;
}

.modal-fit .modal-body {
    max-height: calc(100vh - 275px);
    overflow: auto;
}


.hover {
    cursor: pointer;
}

.rowcolor-green {
    background-color: green;
    color: white;
}

table.table.table-hover tr.rowcolor-green td {
    background-color: green;
    color: white;
}

table.table.table-bordered tr.rowcolor-green td {
    border: none;
}

.rowcolor-greenyellow {
    background-color: greenyellow;
    font-weight: bold;
}

table.table.table-hover tr.rowcolor-greenyellow td {
    background-color: greenyellow;
}

table.table.table-bordered tr.rowcolor-greenyellow td {
    border: none;
}

.rowcolor-greenyellow a:link {
    color: blue;
}


.panel-help {
    float: right;
}
.rowcolor-red {
    background-color: red;
    color: white;
}

table.table.table-hover tr.rowcolor-red td {
    background-color: red;
    color: white;
}

table.table.table-bordered tr.rowcolor-red td {
    border: none;
}